package com.seamew.lottery.domain.strategy.model.res;

import com.seamew.lottery.common.Result;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author: seamew
 * @Title: DrawAlgorithmResult
 * @CreateTime: 2023年03月03日 22:25:00
 * @Description: 奖品库存处理结果
 * @Version: 1.0
 */
public class AwardStockResult extends Result {
    /**
     * 奖品ID
     */
    private String awardId;

    /**
     * 奖品剩余库存
     */
    private Integer awardSurplusCount;

    /**
     * 库存 Key
     */
    private String stockTokenKey;


    public AwardStockResult(String code, String info, String awardId, Integer awardSurplusCount, String stockTokenKey) {
        super(code, info);
        this.awardId = awardId;
        this.awardSurplusCount = awardSurplusCount;
        this.stockTokenKey = stockTokenKey;
    }

    public AwardStockResult(String code, String info) {
        super(code, info);
    }

    public String getAwardId() {
        return awardId;
    }

    public void setAwardId(String awardId) {
        this.awardId = awardId;
    }

    public Integer getAwardSurplusCount() {
        return awardSurplusCount;
    }

    public void setAwardSurplusCount(Integer awardSurplusCount) {
        this.awardSurplusCount = awardSurplusCount;
    }

    public String getStockTokenKey() {
        return stockTokenKey;
    }

    public void setStockTokenKey(String stockTokenKey) {
        this.stockTokenKey = stockTokenKey;
    }

}
